<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::kalman_filter&lt; states, measurements &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1kalman__filter.html">kalman_filter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1kalman__filter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::kalman_filter&lt; states, measurements &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa19681d7a1988633feb12b262e63ce81"><td class="memItemLeft" align="right" valign="top"><a id="aa19681d7a1988633feb12b262e63ce81"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_observation_model</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, states &gt; &amp;H_)</td></tr>
<tr class="separator:aa19681d7a1988633feb12b262e63ce81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa88ee2282162fc2524625695d4031e4d"><td class="memItemLeft" align="right" valign="top"><a id="aa88ee2282162fc2524625695d4031e4d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_transition_model</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;A_)</td></tr>
<tr class="separator:aa88ee2282162fc2524625695d4031e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35c6c7bd2355ad63f7c4b3beea4e468c"><td class="memItemLeft" align="right" valign="top"><a id="a35c6c7bd2355ad63f7c4b3beea4e468c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_process_noise</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;Q_)</td></tr>
<tr class="separator:a35c6c7bd2355ad63f7c4b3beea4e468c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11bb0ba94c24455565077fab86e2c679"><td class="memItemLeft" align="right" valign="top"><a id="a11bb0ba94c24455565077fab86e2c679"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_measurement_noise</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, measurements &gt; &amp;R_)</td></tr>
<tr class="separator:a11bb0ba94c24455565077fab86e2c679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad19b5bd37858ca909ff313a7e16a67a3"><td class="memItemLeft" align="right" valign="top"><a id="ad19b5bd37858ca909ff313a7e16a67a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_estimation_error_covariance</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;P_)</td></tr>
<tr class="separator:ad19b5bd37858ca909ff313a7e16a67a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabc24334335e48c98aaa5a4f5b4dc0c5"><td class="memItemLeft" align="right" valign="top"><a id="aabc24334335e48c98aaa5a4f5b4dc0c5"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, states &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_observation_model</b> () const</td></tr>
<tr class="separator:aabc24334335e48c98aaa5a4f5b4dc0c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40001932c9a05406bbc4a1d414cdf1a9"><td class="memItemLeft" align="right" valign="top"><a id="a40001932c9a05406bbc4a1d414cdf1a9"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_transition_model</b> () const</td></tr>
<tr class="separator:a40001932c9a05406bbc4a1d414cdf1a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a254953e2a9c4fd83e9e9b54488dfd0e2"><td class="memItemLeft" align="right" valign="top"><a id="a254953e2a9c4fd83e9e9b54488dfd0e2"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_process_noise</b> () const</td></tr>
<tr class="separator:a254953e2a9c4fd83e9e9b54488dfd0e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a189174ba50097225176e1c5e4f8c08cb"><td class="memItemLeft" align="right" valign="top"><a id="a189174ba50097225176e1c5e4f8c08cb"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, measurements &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_measurement_noise</b> () const</td></tr>
<tr class="separator:a189174ba50097225176e1c5e4f8c08cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71bfd5ac13f6ba3bfc37274df22747f2"><td class="memItemLeft" align="right" valign="top"><a id="a71bfd5ac13f6ba3bfc37274df22747f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>update</b> ()</td></tr>
<tr class="separator:a71bfd5ac13f6ba3bfc37274df22747f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b78b904f77d026e306ffb84b7a93865"><td class="memItemLeft" align="right" valign="top"><a id="a3b78b904f77d026e306ffb84b7a93865"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>update</b> (const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, 1 &gt; &amp;z)</td></tr>
<tr class="separator:a3b78b904f77d026e306ffb84b7a93865"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ae22e7c750861888f1b14f43d2feaad"><td class="memItemLeft" align="right" valign="top"><a id="a3ae22e7c750861888f1b14f43d2feaad"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, 1 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_current_state</b> () const</td></tr>
<tr class="separator:a3ae22e7c750861888f1b14f43d2feaad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8525e3f7392db7287e40069e3fc0a25"><td class="memItemLeft" align="right" valign="top"><a id="aa8525e3f7392db7287e40069e3fc0a25"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, 1 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_predicted_next_state</b> () const</td></tr>
<tr class="separator:aa8525e3f7392db7287e40069e3fc0a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd749ad1f3ba0326f1aad62794290a4"><td class="memItemLeft" align="right" valign="top"><a id="a5bd749ad1f3ba0326f1aad62794290a4"></a>
const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_current_estimation_error_covariance</b> () const</td></tr>
<tr class="separator:a5bd749ad1f3ba0326f1aad62794290a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abb4a5a67d69d29cb566b33ed3706ca1a"><td class="memItemLeft" align="right" valign="top"><a id="abb4a5a67d69d29cb566b33ed3706ca1a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>got_first_meas</b></td></tr>
<tr class="separator:abb4a5a67d69d29cb566b33ed3706ca1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a955228016faaae9c543277afa12188b9"><td class="memItemLeft" align="right" valign="top"><a id="a955228016faaae9c543277afa12188b9"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>x</b></td></tr>
<tr class="separator:a955228016faaae9c543277afa12188b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0ee8974beab1430a697799ee31e5d00"><td class="memItemLeft" align="right" valign="top"><a id="ae0ee8974beab1430a697799ee31e5d00"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>xb</b></td></tr>
<tr class="separator:ae0ee8974beab1430a697799ee31e5d00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c30c62aa854dbc648fa5674aa2f435e"><td class="memItemLeft" align="right" valign="top"><a id="a2c30c62aa854dbc648fa5674aa2f435e"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>P</b></td></tr>
<tr class="separator:a2c30c62aa854dbc648fa5674aa2f435e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcc8ce001c0848dc0466537140c82ec9"><td class="memItemLeft" align="right" valign="top"><a id="adcc8ce001c0848dc0466537140c82ec9"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, states &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>H</b></td></tr>
<tr class="separator:adcc8ce001c0848dc0466537140c82ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5abfa4af6180ce529424bebb3e92daa3"><td class="memItemLeft" align="right" valign="top"><a id="a5abfa4af6180ce529424bebb3e92daa3"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>A</b></td></tr>
<tr class="separator:a5abfa4af6180ce529424bebb3e92daa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43f6884fa967222cc3beb701534e09fe"><td class="memItemLeft" align="right" valign="top"><a id="a43f6884fa967222cc3beb701534e09fe"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, states, states &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Q</b></td></tr>
<tr class="separator:a43f6884fa967222cc3beb701534e09fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ce660439576581e81577cda2da47552"><td class="memItemLeft" align="right" valign="top"><a id="a5ce660439576581e81577cda2da47552"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, measurements, measurements &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>R</b></td></tr>
<tr class="separator:a5ce660439576581e81577cda2da47552"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a04026b2310bc71f837c21300e1813e79"><td class="memItemLeft" align="right" valign="top"><a id="a04026b2310bc71f837c21300e1813e79"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1kalman__filter.html">kalman_filter</a> &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:a04026b2310bc71f837c21300e1813e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27bbfc6e1de1fc1701b7d46996531e87"><td class="memItemLeft" align="right" valign="top"><a id="a27bbfc6e1de1fc1701b7d46996531e87"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1kalman__filter.html">kalman_filter</a> &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:a27bbfc6e1de1fc1701b7d46996531e87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="kalman__filter_8h_source.html">kalman_filter.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
